Skip to main content
GET
/
payout
/
v1.2
/
validation
/
bankDetails
Bank Verification Sync V1.2
curl --request GET \
  --url https://payout-api.cashfree.com/payout/v1.2/validation/bankDetails \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
{
  "status": "SUCCESSS",
  "subCode": 200,
  "message": "Bank account details verified successfully",
  "accountStatus": "VALID",
  "accountStatusCode": "ACCOUNT_IS_VALID",
  "data": {
    "nameAtBank": "JOHN DOE",
    "refId": 219834028,
    "bankName": "ICICI BANK LIMITED",
    "utr": 210219578183,
    "city": "GWALIOR",
    "branch": "GWALIOR",
    "micr": 0,
    "nameMatchScore": 0,
    "nameMatchResult": "NO_MATCH"
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This API will be retired soon. Please plan to migrate to the latest version, Bank Account Verification Sync V2.

Headers

Authorization
string
required

Bearer Auth Token

Content-Type
string
required

application/json

Query Parameters

name
string

It is the bank account holder's name for who you want to verify the bank details (100 character limit).

Example:

"Jane"

bankAccount
string
required

It is the bank account number to be validated (6 to 40 character limit).

Example:

"02014457596969"

ifsc
string
required

The IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.

Example:

"CITI0000001"

phone
string

It is the phone number of the bank account holder.

Example:

"8349102770"

remarks
string

You can add custom remarks in the API request. These remarks will be visible in the customer's bank statement corresponding to the penny drop transaction. A maximum of 25 characters are allowed.

Example:

""

Response

Accepted

status
string

It represents the status of the API request.

Example:

"SUCCESSS"

subCode
number

It represents the subcode of the API request.

Example:

200

message
string

It represents the message of the API request.

Example:

"Bank account details verified successfully"

accountStatus
string

It represents the status of the bank account.

Example:

"VALID"

accountStatusCode
string

It represents the status code of the bank account.

Example:

"ACCOUNT_IS_VALID"

data
object

It contains the bank account details.